def-constant
Prev | Primitive Types | Next

## Name

def-constant — Binds a symbol to a constant. Macro

## Syntax

    	def-constant name value &key export

## Arguments and Values

`name`

  A symbol that will be bound to the value.

`value`

  An evaluated form that is bound the the name.

`export`

  When `T`, the name is exported from the current package. The default is `NIL`

## Description

This is a thin wrapper around `defconstant`. It evaluates at compile-time and optionally exports the symbol from the package.

## Examples

    (def-constant pi2 (* 2 pi))
    (def-constant exported-pi2 (* 2 pi) :export t)

## Side Effects

Creates a new special variable..

## Affected by

None.

## Exceptional Situations

None.

Prev | Up | Next
Primitive Types | Home | def-foreign-type